<?php
/**
 * simple-contact for GetSimple - Simply add contact forms in your pages
 *
 * This plugin is a fork from Nicolas Liautaud's p01-contact plugin
 * 
 * @link http://get-simple.info/extend/plugin/p01-contact/35 Original Version
 * @link http://get-simple.info/extend/plugin/simple-contact/784 Latest Version
 * @author Francesco Simone Carta <entuland@gmail.com>
 * @package simple-contact
 * @version 0.0.2
 */

require_once GSPLUGINPATH . 'simple-contact/simple-contact-functions.php';
$simple_contact = new SimpleContact();
$simple_contact->default_email = simple_contact_default_email();
$simple_contact->default_lang = $LANG;
$simple_contact->securimage_url = $SITEURL . 'plugins/simple-contact/captcha/';

$thisfile = basename(__FILE__, '.php');
i18n_merge('simple-contact') || i18n_merge('simple-contact', 'en_US');

register_plugin(
        $thisfile, // ID of plugin, should be filename minus php
        'Simple Contact', // Title of plugin
        $simple_contact->version, // Version of plugin
        'Francesco Simone Carta', // Author of plugin
        'http://get-simple.info/extend/a/entuland', // Author URL
        'Simply add contact forms in your pages.<br>
    (Simple Contact is a fork of Nicolas Liautaud\'s <a href="http://get-simple.info/extend/plugin/p01-contact/35">p01-contact</a> plugin)', // Plugin Description
        'plugins', // Page type of plugin
        'simple_contact_action'     // Function that displays content
);

add_filter('content', 'simple_contact_filter');
add_action('plugins-sidebar', 'createSideMenu', array($thisfile, $simple_contact->lang('menu_settings_text'), 'settings'));
add_action('plugins-sidebar', 'createSideMenu', array($thisfile, $simple_contact->lang('menu_info_text'), 'info'));

/*
 * Handle for GS content filter (parse GS pages)
 */

function simple_contact_filter($contents) {
  global $simple_contact;
  global $i18n;
  $contents = $simple_contact->parse($contents);
  if ($simple_contact->settings('debug')) {
    $simple_contact->debug();
  }
  return $contents;
}

/*
 * Handle for GS action (display admin panel)
 */

function simple_contact_action() {
  global $simple_contact;
  echo $simple_contact->panel();
}

/*
 * Return email of the first GS user found
 * @return string
 */

function simple_contact_default_email() {
  $files = scandir(GSUSERSPATH);
  foreach ($files as $filename) {
    if (preg_match("#\.xml$#", $filename)) {
      $data = getXML(GSUSERSPATH . $filename);
      return $data->EMAIL;
    }
  }
  return "";
}
